local menu = {}

function menu:load(data)
    total = total * 2
    fs.write("total", "return "..total)

    self.particles = fs.load("data/particles/win.lua")()[1]
    self.time = data.time
    self.total = data.total
end

function menu:update(dt)
    self.particles.system:update(dt)
end

function menu:draw()
    lg.setColor(color.white)
    lg.draw(bg, 0, 0, 0, lg.getWidth() / 128, lg.getHeight() / 128)

    lg.setBlendMode("add")
    lg.draw(self.particles.system)
    lg.setBlendMode("alpha")

    lg.setFont(font.large)
    lg.setColor(color.green)
    lg.printf("Congratulations!", 0, lg.getHeight() * 0.1, lg.getWidth(), "center")

    lg.setFont(font.small)
    lg.setColor(color.white)
    lg.printf({color.white, "You've managed to mutilate ", color.green, self.total, color.white, " cows in only ", color.green, self.time, color.white, " seconds!"}, 0, lg.getHeight() * 0.4, lg.getWidth(), "center")
end

function menu:keypressed(key)
    if not scene:inTransition() then
        scene:switch("menu", "fade")
    end
end

return menu